Subject: bug#41779: Fall back between vc-diff and diff-backup

From: Juri Linkov <[email-masked]>
Date: Thu, 11 Jun 2020 00:53:56 +0300

> Considering that 'M-=' is not a default binding, and diff-backup doesn't
> have one, how about creating a new command? You could just as well bind 
> it to 'M-='.
>
> The command could be called 'diff-dwim'. Or 'diff-vc-or-backup'.
>
> Regarding the proposed patch, I'm somewhat uneasy making 'vc-diff' (the
> command which purpose is to compare edits against the "saved" snapshot 
> in version control) diff against the backup (lifetime of which is very
> unclear to me). Or vice versa.

Why do you think that throwing an error is more useful than doing
some nice fallback?